%define tarname	Mayavi
%define name	python-enthought-mayavi
%define version	3.4.1
%define release	%mkrel 1

%define epoch	1

Summary:	Enthought Tool Suite - Mayavi project
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Source0:	http://www.enthought.com/repo/ETS/%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://code.enthought.com/projects/mayavi/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes:	python-enthought-mayavi2
Obsoletes:	mayavi
Requires:	python-enthought-apptools >= %{epoch}:3.4.1
Requires:	python-enthought-envisagecore >= %{epoch}:3.2.0
Requires:	python-enthought-envisageplugins >= %{epoch}:3.2.0
Requires:	python-enthought-traits >= %{epoch}:3.6.0
Requires:	python-enthought-traitsgui >= %{epoch}:3.6.0
Requires:	python-enthought-traitsbackendwx >= %{epoch}:3.6.0
Requires:	python-numpy >= 1.1.0, python-vtk
BuildRequires:	python-setupdocs >= 1.0.5
BuildRequires:	python-setuptools >= 0.6c8
BuildRequires:	python-numpy-devel >= 1.1.0, python-vtk
%py_requires -d

%description
The Mayavi project includes two related packages for 3-dimensional
visualization:

* Mayavi2: A tool for easy and interactive visualization of data.
* TVTK: A Traits-based wrapper for the Visualization Toolkit, a 
  popular open-source visualization library.

These libraries operate at different levels of abstraction. TVTK
manipulates visualization objects, while Mayavi2 lets you operate on
your data, and then see the results. Most users either use the Mayavi
user interface or program to its scripting interface; you probably
don't need to interact with TVTK unless you want to create a new
Mayavi module.

%prep
%setup -q -n %{tarname}-%{version}

%build
PYTHONDONTWRITEBYTECODE= %__python setup.py build
export PYTHONPATH=./
%__python setup.py build_docs

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILELIST

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%doc *.txt docs/*.txt examples/ 



%changelog
* Fri Feb 04 2011 Lev Givon <lev@mandriva.org> 1:3.4.1-1mdv2011.0
+ Revision: 635898
- Update to 3.4.1.

* Sun Nov 21 2010 Funda Wang <fwang@mandriva.org> 1:3.4.0-2mdv2011.0
+ Revision: 599388
- rebuild for py 2.7

* Sun Oct 17 2010 Lev Givon <lev@mandriva.org> 1:3.4.0-1mdv2011.0
+ Revision: 586480
- Update to 3.4.0.

* Fri May 28 2010 Lev Givon <lev@mandriva.org> 1:3.3.2-1mdv2011.0
+ Revision: 546527
- Update to 3.3.2.

* Wed Apr 21 2010 Lev Givon <lev@mandriva.org> 1:3.3.1-2mdv2010.1
+ Revision: 537676
- Fix file list.

* Fri Feb 26 2010 Lev Givon <lev@mandriva.org> 1:3.3.1-1mdv2010.1
+ Revision: 512039
- Update to 3.3.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1:3.3.0-2mdv2010.0
+ Revision: 419327
- Add epoch to permit backport and facilitate update from 2009.1.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 3.3.0-1mdv2010.0
+ Revision: 419039
- Update to 3.3.0.

* Fri Apr 03 2009 Lev Givon <lev@mandriva.org> 3.2.0-1mdv2010.0
+ Revision: 363871
- Update to 3.2.0.

* Fri Mar 20 2009 Paulo Andrade <pcpa@mandriva.com.br> 3.1.0-3mdv2009.1
+ Revision: 358244
- o Update to svn trunk (that is also version 3.1.0)
  o Add a patch that was also required to rebuild previous tarball, but
  previous tarball was not fully compatible with python 2.6.

* Fri Dec 12 2008 Lev Givon <lev@mandriva.org> 3.1.0-1mdv2009.1
+ Revision: 313639
- Update to 3.1.0.

* Mon Nov 03 2008 Lev Givon <lev@mandriva.org> 3.0.3-2mdv2009.1
+ Revision: 299566
- Obsolete old mayavi 1.5 package.

* Fri Oct 31 2008 Lev Givon <lev@mandriva.org> 3.0.3-1mdv2009.1
+ Revision: 298972
- Update to 3.0.3.
- Rename in accordance with new ETS project name.

* Thu Jul 17 2008 Lev Givon <lev@mandriva.org> 2.2.0-1mdv2009.0
+ Revision: 237722
- import python-enthought-mayavi2

